using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Threading;

// Demonstrate a single instance of an application
// Guy Vider 8/16/07
namespace SingleInstance
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            bool isFirstInstanceOfApp;
            Mutex mutex = new Mutex(true, "Global\\" + "MyApplicationName", out isFirstInstanceOfApp);
            if (isFirstInstanceOfApp)
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new Form1());
            }
            else
            {
                MessageBox.Show("An instance of MyApplicationName is already running", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}